> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aptlystar.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# API to register user



## OpenAPI

````yaml api-reference/openapi-1.json post /api/v1/user/register
openapi: 3.0.1
info:
  title: '@fastify/swagger'
  version: 8.15.0
servers:
  - url: https://app.aptlystar.ai
security: []
paths:
  /api/v1/user/register:
    post:
      tags:
        - User
      summary: API to register user
      requestBody:
        content:
          '*/*':
            schema:
              required:
                - email
                - fullname
                - isOAuth
                - organizationName
                - password
                - username
              type: object
              properties:
                fullname:
                  type: string
                username:
                  type: string
                password:
                  type: string
                email:
                  type: string
                organizationName:
                  type: string
                isOAuth:
                  type: boolean
                oAuthType:
                  type: string
        required: false
      responses:
        '200':
          description: Default Response
          content: {}

````